import logging

from _add_lib_to_path import add_lib_to_path

# This function adds the project root to PATH
add_lib_to_path()

from sfm2.sfm2_factory import Sfm2Factory

logging.basicConfig(level=logging.INFO)

sfm2 = Sfm2Factory.connect_first_found()
sfm2.reset()

# This sample uses the "high-level" interface,
# see "reading_acc_data.py" sample for the "low-level" interface example

# Setting sensor_fusion.rate automatically configures other sensors.
sfm2.sensor_fusion.rate = 13
sfm2.sensor_fusion.quaternion.subscribe(print)

input("Click enter twice to exit\n")
