import logging

from _add_lib_to_path import add_lib_to_path

# This function adds the project root to PATH
add_lib_to_path()

from sfm2.sfm2_factory import Sfm2Factory
from sfm2.utils.csv_writer import write_to_csv

logging.basicConfig(level=logging.INFO)

sfm2 = Sfm2Factory.connect_first_found()

sfm2.reset()
sfm2.config.asr = 12

filename = "AD.csv"
d = write_to_csv(sfm2.data.ad, filename)

print(f"Started writing data to {filename}")
input("Click enter twice to stop\n")

d.dispose()

print("File writing completed")
input("Click enter twice to exit\n")
