from rx.core.abc import Disposable


class DisposedToken(Disposable):
    def __init__(self):
        self._disposed = False

    def is_disposed(self) -> bool:
        return self._disposed

    def __bool__(self) -> bool:
        return self.is_disposed()

    def dispose(self):
        self._disposed = True
