import logging

from _add_lib_to_path import add_lib_to_path

# This function adds the project root to PATH
add_lib_to_path()

from sfm2.sfm2_factory import Sfm2Factory

logging.basicConfig(level=logging.INFO)

sfm2 = Sfm2Factory.connect_first_found()
sfm2.reset()

# This sample uses the "low-level" interface,
# see "reading_sensor_fusion_data.py" sample for a possibly simpler alternative
sfm2.config.gsr = 100
sfm2.data.gd.subscribe(print)

input("Click enter twice to exit\n")
