import logging

from _add_lib_to_path import add_lib_to_path

# This function adds the project root to PATH
add_lib_to_path()

from sfm2.sfm2_factory import Sfm2Factory

logging.basicConfig(level=logging.INFO)

sfm2 = Sfm2Factory.connect_first_found()

print("Running self-test...")
passed = sfm2.run_self_test()

if passed:
    print("Self-test passed")
else:
    print("Self-test failed!")
