from rx.core.abc import Disposable


class CancellationToken(Disposable):
    def __init__(self):
        self._cancelled = False

    def cancel(self) -> None:
        self._cancelled = True

    def is_cancellation_requested(self) -> bool:
        return self._cancelled

    def dispose(self):
        self.cancel()
